salt-master timeout while starting/activating (systemd)

Bug #1525184 reported by Vieira on 2015-12-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
salt (Ubuntu)
Undecided
Unassigned

Bug Description

The salt-master.service being shipped with the package seems to depend on functionality provided by the python systemd module, namely the systemd.daemon notify method, however I can only find python3-systemd and not python-systemd or python2-systemd and salt uses python2.

# systemctl status salt-master
● salt-master.service - The Salt Master Server
   Loaded: loaded (/lib/systemd/system/salt-master.service; enabled; vendor preset: enabled)
   Active: failed (Result: timeout) since Fri 2015-12-11 11:10:03 WET; 22min ago
  Process: 21873 ExecStart=/usr/bin/salt-master (code=exited, status=0/SUCCESS)
 Main PID: 21873 (code=exited, status=0/SUCCESS)

Dec 11 11:08:32 vulcan-next systemd[1]: Starting The Salt Master Server...
Dec 11 11:10:03 vulcan-next systemd[1]: salt-master.service: Start operation timed out. Terminating.
Dec 11 11:10:03 vulcan-next systemd[1]: Failed to start The Salt Master Server.
Dec 11 11:10:03 vulcan-next systemd[1]: salt-master.service: Unit entered failed state.
Dec 11 11:10:03 vulcan-next systemd[1]: salt-master.service: Failed with result 'timeout'.
Hint: Some lines were ellipsized, use -l to show in full.

# cat /lib/systemd/system/salt-master.service
[Unit]
Description=The Salt Master Server
After=network.target

[Service]
LimitNOFILE=16384
Type=notify
ExecStart=/usr/bin/salt-master

[Install]
WantedBy=multi-user.target

# lsb_release -rd
Description: Ubuntu Xenial Xerus (development branch)
Release: 16.04

# apt-cache policy salt-master
salt-master:
  Installed: 2015.8.3+ds-1
  Candidate: 2015.8.3+ds-1
  Version table:
 *** 2015.8.3+ds-1 0
        500 http://pt.archive.ubuntu.com/ubuntu/ xenial/universe amd64 Packages
        100 /var/lib/dpkg/status

Vieira (jdvieira) wrote :

The following upstream commit might be a fix for this problem:

https://github.com/saltstack/salt/commit/134b3a6?diff=unified

Benjamin Drung (bdrung) on 2015-12-14
Changed in salt (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package salt - 2015.8.3+ds-2

---------------
salt (2015.8.3+ds-2) unstable; urgency=medium

  * salt-master: Depend on python-systemd for the startup notification
    unless sysvinit is used as default init system (Closes: #807741,
    LP: #1525184)

 -- Benjamin Drung <email address hidden> Mon, 14 Dec 2015 12:17:44 +0100

Changed in salt (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers